#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-extra/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: extra
version: 1.6.6
id: extra-1.6.6-6Sl6FMZIhXy6k33TuyETCw
key: extra-1.6.6-6Sl6FMZIhXy6k33TuyETCw
license: BSD-3-Clause
copyright: Neil Mitchell 2014-2018
maintainer: Neil Mitchell <ndmitchell@gmail.com>
author: Neil Mitchell <ndmitchell@gmail.com>
homepage: https://github.com/ndmitchell/extra#readme
synopsis: Extra functions I use.
description:
    A library of extra functions for the standard Haskell libraries. Most functions are simple additions, filling out missing functionality. A few functions are available in later versions of GHC, but this package makes them available back to GHC 7.2.
    .
    The module "Extra" documents all functions provided by this library. Modules such as "Data.List.Extra" provide extra functions over "Data.List" and also reexport "Data.List". Users are recommended to replace "Data.List" imports with "Data.List.Extra" if they need the extra functionality.
category: Development
abi: 65b08c0df283a56636222530f8963e15
exposed: True
exposed-modules:
    Control.Concurrent.Extra Control.Exception.Extra
    Control.Monad.Extra Data.Either.Extra Data.IORef.Extra
    Data.List.Extra Data.Tuple.Extra Data.Typeable.Extra
    Data.Version.Extra Extra Numeric.Extra System.Directory.Extra
    System.Environment.Extra System.IO.Extra System.Info.Extra
    System.Process.Extra System.Time.Extra Text.Read.Extra
hidden-modules: Partial
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/extra-1.6.6
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/extra-1.6.6
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/extra-1.6.6
hs-libraries: HSextra-1.6.6-6Sl6FMZIhXy6k33TuyETCw
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 directory-1.3.1.5 filepath-1.4.2 process-1.6.3.0
    clock-0.7.2-Cf9UTsaN2AjEpBnoMpmgkU time-1.8.0.2 unix-2.7.2.2
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             directory-1.3.1.5=2bbffb7dcb6ee6e25d353c415806225f
             filepath-1.4.2=199aef3b23f4884447a6092b74bc0baf
             process-1.6.3.0=024db0c305a06746a670cbf9b92583e2
             clock-0.7.2-Cf9UTsaN2AjEpBnoMpmgkU=82a650ba62ece4a7abfe755398091bc1
             time-1.8.0.2=f0ede0623c99893552c152481832ad42
             unix-2.7.2.2=756fd47ca549d12d1875edf33404349c
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/extra-1.6.6/html/extra.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/extra-1.6.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

